import React, { Component } from 'react';
import { Redirect, Route, Switch } from 'dva/router';
import { connect } from 'dva';
import PageHeaderLayout from '../../../layouts/PageHeaderLayout';
import { getRoutes } from '../../../utils/utils';

@connect()
export default class TagGroup extends Component {
  render() {
    const { match, routerData } = this.props;
    const routes = getRoutes(match.path, routerData);

    return (
      <PageHeaderLayout>
        <Switch>
          {
            routes.map(item =>
              (
                <Route
                  key={item.key}
                  path={item.path}
                  component={item.component}
                  exact={item.exact}
                />
              )
            )
          }
          <Redirect exact from="/frontend/tagGroup" to="/frontend/tagGroup/list" />
        </Switch>
      </PageHeaderLayout>
    );
  }
}
