import { stringify } from 'qs';
import request from '../utils/request';
import { api, Hotax } from '../utils/config';
// import { getSignature } from '../utils/signature';

export async function queryImageResource(params) {
  const newParams = {
    pageSize: Hotax.PAGE_SIZE,
    ...params,
    type: Hotax.RESOURCE_IMAGE,
  };
  return request(`${api.resource}?${stringify(newParams)}`);
}

export async function queryVideoResource(params) {
  const newParams = {
    pageSize: Hotax.PAGE_SIZE,
    ...params,
    type: Hotax.RESOURCE_VIDEO,
  };
  return request(`${api.resource}?${stringify(newParams)}`);
}

export async function queryAudioBookResource(params) {
  const newParams = {
    pageSize: Hotax.PAGE_SIZE,
    ...params,
    type: Hotax.RESOURCE_AUDIOBOOK,
  };
  return request(`${api.resource}?${stringify(newParams)}`);
}

export async function queryOssSignature(params) {
  /*
  const signature = getSignature();
  const expireTime = Math.floor(((new Date()).getTime() / 1000) + 15).toString();

  // 检查本地签名是否过期
  if (signature.expire >= expireTime) {
    return signature;
  }
  */
  // 过期后请求新的签名
  return request(`${api.signature}?${stringify(params)}`);
}

export async function createResource(params) {
  const options = {
    method: 'POST',
    body: params,
  };
  return request(`${api.resourceItem}`, options);
}

export async function updateResource(params) {
  const options = {
    method: 'PUT',
    body: params,
  };
  return request(`${api.resourceItem}`, options);
}

export async function createAudioBook(params) {
  const options = {
    method: 'POST',
    body: params,
  };
  return request(`${api.audiobookItem}`, options);
}

export async function updateAudioBook(params) {
  const options = {
    method: 'PUT',
    body: params,
  };
  return request(`${api.audiobookItem}`, options);
}
