import { stringify } from 'qs';
import request from '../utils/request';
import { api, Hotax } from '../utils/config';

export async function queryTagTypeList(params) {
  const newParams = {
    pageSize: Hotax.PAGE_SIZE,
    ...params,
  };
  return request(`${api.tagType}?${stringify(newParams)}`);
}

export async function queryTagTypeItem({ tagTypeId }) {
  return request(`${api.tagTypeItem}/${tagTypeId}`);
}

export async function createTagTypeItem(params) {
  const options = {
    method: 'POST',
    body: params,
  };
  return request(`${api.tagTypeItem}`, options);
}

export async function updateTagTypeItem(params) {
  const options = {
    method: 'PUT',
    body: params,
  };
  return request(`${api.tagTypeItem}`, options);
}

export async function deleteTagTypeItem({ tagTypeId }) {
  const options = {
    method: 'DELETE',
  };
  return request(`${api.tagTypeItem}/${tagTypeId}`, options);
}
