import { stringify } from 'qs';
import request from '../utils/request';
import { api, Hotax } from '../utils/config';

export async function queryTerminalList(params) {
  const newParams = {
    pageSize: Hotax.PAGE_SIZE,
    ...params,
  };
  return request(`${api.terminal}?${stringify(newParams)}`);
}

export async function createTerminalItem(params) {
  const options = {
    method: 'POST',
    body: params,
  };
  return request(`${api.terminalItem}`, options);
}

export async function updateTerminalItem(params) {
  const options = {
    method: 'PUT',
    body: params,
  };
  return request(`${api.terminalItem}`, options);
}

export async function deleteTerminalItem({ id }) {
  const options = {
    method: 'DELETE',
  };
  return request(`${api.terminalItem}/${id}`, options);
}

export async function querySpecialTerminalList(params) {
  const newParams = {
    pageSize: Hotax.PAGE_SIZE,
    ...params,
  };
  return request(`${api.specialTerminal}?${stringify(newParams)}`);
}

export async function querySpecialTerminalItem({ userId }) {
  return request(`${api.specialTerminalItem}/${userId}`);
}

export async function createSpecialTerminalItem(params) {
  const options = {
    method: 'POST',
    body: params,
  };
  return request(`${api.specialTerminalItem}`, options);
}

export async function updateSpecialTerminalItem(params) {
  const options = {
    method: 'PUT',
    body: params,
  };
  return request(`${api.specialTerminalItem}`, options);
}

export async function deleteSpecialTerminalItem(params) {
  const options = {
    method: 'DELETE',
    body: params,
  };
  return request(`${api.specialTerminalItem}`, options);
}

export async function deviceUnbound({ id }) {
  const options = {
    method: 'DELETE',
  };
  return request(`${api.terminalUnbound}/${id}`, options);
}

export async function queryTerminalAuthList(params) {
  const newParams = {
    pageSize: Hotax.PAGE_SIZE,
    ...params,
  };
  return request(`${api.terminalAuth}?${stringify(newParams)}`);
}
